globus_ftp_client_throughput_plugin.h File Reference

GridFTP Throughput Performance Plugin Implementation. More...

`#include "globus_ftp_client.h"`
`#include "globus_ftp_client_plugin.h"`
Include dependency graph for globus_ftp_client_throughput_plugin.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | GLOBUS_FTP_CLIENT_THROUGHPUT_PLUGIN_MODULE (&globus_i_ftp_client_throughput_plugin_module)

## Typedefs

typedef void(* | globus_ftp_client_throughput_plugin_begin_cb_t) (void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url)
typedef void(* | globus_ftp_client_throughput_plugin_stripe_cb_t) (void *user_specific, globus_ftp_client_handle_t *handle, int stripe_ndx, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)
typedef void(* | globus_ftp_client_throughput_plugin_total_cb_t) (void *user_specific, globus_ftp_client_handle_t *handle, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)
typedef void(* | globus_ftp_client_throughput_plugin_complete_cb_t) (void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)
typedef void *(* | globus_ftp_client_throughput_plugin_user_copy_cb_t) (void *user_specific)
typedef void(* | globus_ftp_client_throughput_plugin_user_destroy_cb_t) (void *user_specific)

## Functions

globus_result_t | globus_ftp_client_throughput_plugin_init (globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)
globus_result_t | globus_ftp_client_throughput_plugin_set_copy_destroy (globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_user_copy_cb_t copy_cb, globus_ftp_client_throughput_plugin_user_destroy_cb_t destroy_cb)
globus_result_t | globus_ftp_client_throughput_plugin_destroy (globus_ftp_client_plugin_t *plugin)
globus_result_t | globus_ftp_client_throughput_plugin_get_user_specific (globus_ftp_client_plugin_t *plugin, void **user_specific)

## Detailed Description

GridFTP Throughput Performance Plugin Implementation.